Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class SerializationCache.EntrySet

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractSet
com.tangosol.util.AbstractKeyBasedMap.EntrySet
com.tangosol.util.AbstractKeySetBasedMap.EntrySet
com.tangosol.net.cache.SerializationCache.EntrySet`

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  SerializationCache

      public class SerializationCache.EntrySet

extends AbstractKeySetBasedMap.EntrySet

A set of entries backed by this map.

Nested Class Summary
`class` | `SerializationCache.EntrySet.Entry` A Cache Entry implementation.

Nested classes/interfaces inherited from class com.tangosol.util.AbstractKeyBasedMap.EntrySet
`AbstractKeyBasedMap.EntrySet.EntrySetIterator`

Constructor Summary
`SerializationCache.EntrySet()`

Method Summary
`protected java.util.Map.Entry` | `instantiateEntry(java.lang.Object oKey, java.lang.Object oValue)` Factory pattern.

Methods inherited from class com.tangosol.util.AbstractKeySetBasedMap.EntrySet
`toArray, toArray`

Methods inherited from class com.tangosol.util.AbstractKeyBasedMap.EntrySet
`clear, contains, instantiateIterator, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, retainAll, toString`

Methods inherited from interface java.util.Set
`add, addAll, containsAll, retainAll`

Constructor Detail

### SerializationCache.EntrySet

    public SerializationCache.EntrySet()

Method Detail

### instantiateEntry

    protected java.util.Map.Entry instantiateEntry(java.lang.Object oKey,
                                                   java.lang.Object oValue)

  Factory pattern. Create a Map Entry.
  Overrides:
    `instantiateEntry` in class `AbstractKeyBasedMap.EntrySet`
  Parameters:
    `oKey` - the Entry key (required)
    `oValue` - the Entry value (optional; lazy loaded if necessary)
  Returns:
    a new instance of an Entry with the specified key and value (if one is provided)

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.